javafx.embed.swt

## Class CustomTransfer

- java.lang.Object
- - org.eclipse.swt.dnd.Transfer
  - - org.eclipse.swt.dnd.ByteArrayTransfer
    - - javafx.embed.swt.CustomTransfer

- Deprecated.
  This is an internal API that is not intended for use and will be removed in the next version

      @Deprecated
      public class CustomTransfer
      extends org.eclipse.swt.dnd.ByteArrayTransfer

  Since:
    JavaFX 2.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomTransfer(String name, String mime)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMime()` Deprecated.
    `String` | `getName()` Deprecated.
    `protected int[]` | `getTypeIds()` Deprecated.
    `protected String[]` | `getTypeNames()` Deprecated.
    `void` | `javaToNative(Object object, org.eclipse.swt.dnd.TransferData transferData)` Deprecated.
    `Object` | `nativeToJava(org.eclipse.swt.dnd.TransferData transferData)` Deprecated.
    `protected boolean` | `validate(Object object)` Deprecated.

    - ### Methods inherited from class org.eclipse.swt.dnd.ByteArrayTransfer

      `getSupportedTypes, isSupportedType`

    - ### Methods inherited from class org.eclipse.swt.dnd.Transfer

      `registerType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomTransfer

          public CustomTransfer(String name,
                                String mime)

      Deprecated.

  - ### Method Detail

    - #### getName

          public String getName()

      Deprecated.

    - #### getMime

          public String getMime()

      Deprecated.

    - #### javaToNative

          public void javaToNative(Object object,
                                   org.eclipse.swt.dnd.TransferData transferData)

      Deprecated.
      Overrides:
        `javaToNative` in class `org.eclipse.swt.dnd.ByteArrayTransfer`

    - #### nativeToJava

          public Object nativeToJava(org.eclipse.swt.dnd.TransferData transferData)

      Deprecated.
      Overrides:
        `nativeToJava` in class `org.eclipse.swt.dnd.ByteArrayTransfer`

    - #### getTypeNames

          protected String[] getTypeNames()

      Deprecated.
      Specified by:
        `getTypeNames` in class `org.eclipse.swt.dnd.Transfer`

    - #### getTypeIds

          protected int[] getTypeIds()

      Deprecated.
      Specified by:
        `getTypeIds` in class `org.eclipse.swt.dnd.Transfer`

    - #### validate

          protected boolean validate(Object object)

      Deprecated.
      Overrides:
        `validate` in class `org.eclipse.swt.dnd.Transfer`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2019, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.